astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Simplex

# Simplex

class `astropy.modeling.optimizers.``Simplex`

  Bases: `astropy.modeling.optimizers.Optimization`

  Neald-Mead (downhill simplex) algorithm [1].

  This algorithm only uses function values, not derivatives. Uses `scipy.optimize.fmin`.

  [R10] | Nelder, J.A. and Mead, R. (1965), “A simplex method for function minimization”, The Computer Journal, 7, pp. 308-313

  Attributes Summary

  `supported_constraints` |

  Methods Summary

  `__call__`(objfunc, initval, fargs, **kwargs) | Run the solver.

  Attributes Documentation

  `supported_constraints` = [u'bounds', u'fixed', u'tied']

  Methods Documentation

  `__call__`(objfunc, initval, fargs, **kwargs)

    Run the solver.

    Parameters:

    objfunc : callable

    > objection function

    initval : iterable

    > initial guess for the parameter values

    fargs : tuple

    > other arguments to be passed to the statistic function

    kwargs : dict

    > other keyword arguments to be passed to the solver